=== modified file '__init__.py'
--- __init__.py	2009-10-09 16:23:47 +0000
+++ __init__.py	2009-10-17 06:19:40 +0000
@@ -59,6 +59,9 @@
             (DEFAULT_PORT,))
 
     def serve_http(transport, host=None, port=None, inet=None):
+        from paste.httpexceptions import HTTPExceptionHandler
+        from paste.httpserver import serve
+
         # loggerhead internal code will try to 'import loggerhead', so
         # let's put it on the path if we can't find it in the existing path
         try:
@@ -69,8 +72,7 @@
 
         from loggerhead.apps.transport import BranchesFromTransportRoot
         from loggerhead.config import LoggerheadConfig
-        from paste.httpexceptions import HTTPExceptionHandler
-        from paste.httpserver import serve
+
         if host is None:
             host = DEFAULT_HOST
         if port is None:

=== modified file 'loggerhead/config.py'
--- loggerhead/config.py	2009-06-03 23:21:52 +0000
+++ loggerhead/config.py	2009-10-17 06:19:40 +0000
@@ -91,7 +91,7 @@
         global_config = config.GlobalConfig().get_user_option('http_'+option)
         cmd_config = getattr(self._options, option)
         if global_config is not None and (
-                cmd_config is None or cmd_config is False):
+            cmd_config is None or cmd_config is False):
             return global_config
         else:
             return cmd_config

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-10-15 23:12:10 +0000
+++ loggerhead/history.py	2009-10-17 06:19:40 +0000
@@ -34,15 +34,15 @@
 import re
 import textwrap
 
-from loggerhead import search
-from loggerhead import util
-from loggerhead.wholehistory import compute_whole_history_data
-
 import bzrlib
 import bzrlib.branch
 import bzrlib.delta
 import bzrlib.errors
 
+from loggerhead import search
+from loggerhead import util
+from loggerhead.wholehistory import compute_whole_history_data
+
 
 def is_branch(folder):
     try:
@@ -554,7 +554,7 @@
             else:
                 d[revnos] = (revnolast, revid)
 
-        return [d[revnos][1] for revnos in d.iterkeys()]
+        return [revid for (_, revid) in d.itervalues()]
 
     def add_branch_nicks(self, change):
         """

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2009-07-07 23:52:24 +0000
+++ loggerhead/util.py	2009-10-17 06:19:40 +0000
@@ -19,13 +19,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-try:
-    from xml.etree import ElementTree as ET
-except ImportError:
-    from elementtree import ElementTree as ET
-
-from simpletal.simpleTALUtils import HTMLStructureCleaner
-
 import base64
 import cgi
 import datetime
@@ -38,6 +31,13 @@
 import os
 import subprocess
 
+try:
+    from xml.etree import ElementTree as ET
+except ImportError:
+    from elementtree import ElementTree as ET
+
+from simpletal.simpleTALUtils import HTMLStructureCleaner
+
 log = logging.getLogger("loggerhead.controllers")
 
 
@@ -129,7 +129,7 @@
     return _wrap_with_date_time_title(date, _displaydate(date))
 
 
-class Container (object):
+class Container(object):
     """
     Convert a dict into an object with attributes.
     """
@@ -217,8 +217,6 @@
 
     return: the same value recieved if not empty, and a '&nbsp;' if it is.
     """
-
-
     if s is None:
         return '&nbsp;'
     elif isinstance(s, int):

=== modified file 'setup.py'
--- setup.py	2009-06-02 22:10:00 +0000
+++ setup.py	2009-10-17 06:19:40 +0000
@@ -18,8 +18,8 @@
 
 """Loggerhead is a web viewer for projects in bazaar"""
 
-
 from distutils.core import setup
+
 import loggerhead
 
 

